---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [(constructor)](./sequelize.sequelizecrudrepository._constructor_.md)

## SequelizeCrudRepository.(constructor)

Constructs a new instance of the `SequelizeCrudRepository` class

**Signature:**

```typescript
constructor(entityClass: typeof Entity & {
        prototype: T;
    }, dataSource: SequelizeDataSource);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  entityClass | typeof Entity &amp; { prototype: T; } |  |
|  dataSource | [SequelizeDataSource](./sequelize.sequelizedatasource.md) |  |


